IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
Tagging old flacs with new flac version, Backward compatible?
Emanuel
post Feb 28 2003, 14:48
Post #1





Group: Members
Posts: 284
Joined: 13-January 02
From: Sthlm, Sweden
Member No.: 999



In my setup, I use flac 1.1.0 but have many early flac encodings on my harddrive. Are there any problems to use the new flac for tagging old flacs?
I guess the question should be breaken down to two sub-questions regarding:
1. tagging flac 1.0.4
2. tagging pre flac 1.0.4


--------------------
http://forum.studio.se (in Swedish)
Go to the top of the page
+Quote Post
kritip
post Feb 28 2003, 17:55
Post #2





Group: Members
Posts: 531
Joined: 15-January 02
From: Warwickshire -- England
Member No.: 1036



I belive all sub versions ie 1.0.1, 1.0.2, 1.0.3, et cetera are all meant to be compatible.
Sadly i discovered a bug with the cuesheets in a 1.05 beta that broke backkward compatability with 1.0.4 and below, hence the new verson update to 1.1.0. This may not have been the only reason for the version update though.

Due to this 1.1.0 files will not always decode with earlier decoder versions, but, i do belive that if you use metaflac from 1.1.0 on earlier versions then they will tag fine, you just won't be able to use them with the older decoders!

If this is not a problem then go ahead.

Of course i may be entirley wrong, you might wanna wait for Josh's input to be certain. I don't wanna be responsible for borking your collection!! wink.gif

Cheers,

Kristian
Go to the top of the page
+Quote Post
Amadablam
post Feb 28 2003, 18:19
Post #3





Group: Members
Posts: 108
Joined: 6-September 02
Member No.: 3307



I'm not totally certain about this, but I believe the incompatibility only exists when you try to decode a 1.1-encoded flac with an embedded cuesheet with a pre-1.1 version of flac. I'm guessing everything will be fine if you don't do anything with embedded cuesheets. You might want to try a few test files first to make sure there aren't any problems.
Go to the top of the page
+Quote Post
jcoalson
post Feb 28 2003, 18:27
Post #4


FLAC Developer


Group: Developer
Posts: 1526
Joined: 27-February 02
Member No.: 1408



QUOTE (Amadablam @ Feb 28 2003 - 12:19 PM)
I'm not totally certain about this, but I believe the incompatibility only exists when you try to decode a 1.1-encoded flac with an embedded cuesheet with a pre-1.1 version of flac.  I'm guessing everything will be fine if you don't do anything with embedded cuesheets.

This is correct.

Josh
Go to the top of the page
+Quote Post
Emanuel
post Mar 3 2003, 10:17
Post #5





Group: Members
Posts: 284
Joined: 13-January 02
From: Sthlm, Sweden
Member No.: 999



Thanks everyone. In my tests, there have been no obvious problems. But compatibility is such a big issue and it's easy to break it somewhere without knowing or noticing it immediately. I guess time will tell - now most of the files are tagged.

phew. wink.gif


--------------------
http://forum.studio.se (in Swedish)
Go to the top of the page
+Quote Post
Emanuel
post Mar 3 2003, 10:18
Post #6





Group: Members
Posts: 284
Joined: 13-January 02
From: Sthlm, Sweden
Member No.: 999



Thanks everyone. In my tests, there have been no obvious problems. But compatibility is such a big issue and it's easy to break it somewhere without knowing or noticing it immediately. I guess time will tell - now most of the files are tagged.

phew. wink.gif


--------------------
http://forum.studio.se (in Swedish)
Go to the top of the page
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 25th October 2014 - 14:45